BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 07-02-2010, 11:59 PM   #1 (permalink)
New Member
 
Join Date: Jul 2010
Model: 9630
PIN: N/A
Carrier: Verizon
Posts: 11
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default net_rim_ui_api

Please Login to Remove!

Hi. My app works fine in all simulators, but when I try loading it on the actual blackberry, I get an error, "Error starting app, Module net_rim_ui_api not found." I am not explicitly using that module. There is no JAR for it that I can find. Not sure how to work around this problem. Blackberry model is 9630.
Thanks.
Offline  
Old 07-03-2010, 09:01 AM   #2 (permalink)
BlackBerry Extraordinaire
 
Join Date: Mar 2008
Location: Austin, TX
Model: 9700
PIN: N/A
Carrier: T-Mobile
Posts: 1,644
Post Thanks: 0
Thanked 34 Times in 33 Posts
Default

What compiler level are you targeting, and what OS level is on the device?

This sounds like a compiler/OS mismatch.
Offline  
Old 07-07-2010, 12:10 AM   #3 (permalink)
New Member
 
Join Date: Jul 2010
Model: 9630
PIN: N/A
Carrier: Verizon
Posts: 11
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default

That was it. I was using JDE 5.0, and the BB had v.4.7. After upgrading BB to v.5 the problem went away. Thanks for your help !
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.